#!/bin/bash
#SBATCH -J put          # Job name
#SBATCH -o put.o%j       # Name of stdout output file
#SBATCH -e put.e%j       # Name of stderr error file
#SBATCH -p normal          # Queue (partition) name
#SBATCH -N 4           # Total # of nodes
#SBATCH -n 130             # Total # of mpi tasks
#SBATCH -t 00:10:00       # Run time (hh:mm:ss)
#SBATCH --mail-type=all    # Send email at begin and end of job
#SBATCH --mail-user=philip.e.davis@rutgers.edu

export FI_PROVIDER=verbs
export FI_MR_CACHE_MAX_COUNT=0
export FI_OFI_RXM_USE_SRX=1
export MY_MPIRUN_OPTIONS="-ordered-output -prepend-rank -print-all-exitcodes"
export APEX_TRACE_EVENT=1

export APEX_PROFILE_OUTPUT=1
export APEX_TIME_TOP_LEVEL_OS_THREADS=1
export APEX_UNTIED_TIMERS=1

rm -f conf
export TRACEDIR=server.perf
mkdir -p ${TRACEDIR}
export APEX_OUTPUT_FILE_PATH=${TRACEDIR}
export IBRUN_TASKS_PER_NODE=1

ibrun -n 1 -o 0 task_affinity ./server verbs &

while [ ! -f conf ]; do
    sleep 1s
done
sleep 2s

export TRACEDIR=client.perf
mkdir -p ${TRACEDIR}
export APEX_OUTPUT_FILE_PATH=${TRACEDIR}
export IBRUN_TASKS_PER_NODE=1

ibrun -n 1 -o 1 task_affinity ./client 10
